Subject: Re: bug#55168: [PATCH 0/15] Fix aws-lc checksum and use with aws-sdk-cpp.
From: Ludovic Courtès <[email-masked]>
To: Greg Hogan <[email-masked]>
Cc: [email-masked]
Date: Mon, 02 May 2022 14:46:10 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Greg Hogan <[email-masked]> skribis:

> I happened to notice the broken build for aws-lc when exploring the
> dashboard at ci.guix.gnu.org. In my last patchset I had updated aws-lc to
> the proper version but failed to update the checksum since it was not built
> as a dependency of aws-sdk-cpp.

Oops, I plaid guilty as well, then.

> These patches replace openssl with aws-lc as the default dependency of s2n,
> making aws-lc a transitive dependency of aws-sdk-cpp. I have tested with
> the following builds:
>   ./pre-inst-env guix build aws-sdk-cpp
>   ./pre-inst-env guix build --with-input=aws-lc=libressl aws-sdk-cpp
>   ./pre-inst-env guix build --with-input=aws-lc=[email-masked] aws-sdk-cpp
>
> aws-c-common is now marked as supported only for i686-linux and
> x86_64-linux, and s2n as supported only for x86_64-linux, as various tests
> are failing or timing out on other systems.

Alright.  Applied the whole series, thanks!

Ludo’.